Cantera 2.6.0

Classes | Namespaces | Functions
StoichManager.h File Reference
`#include "cantera/numerics/eigen_sparse.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for StoichManager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | C1
| Handles one species in a reaction. More...
class | C2
| Handles two species in a single reaction. More...
class | C3
| Handles three species in a reaction. More...
class | C_AnyN
| Handles any number of species in a reaction, including fractional stoichiometric coefficients, and arbitrary reaction orders. More...
class | StoichManagerN

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
template<class InputIter , class Vec1 , class Vec2 >
static void | _multiply (InputIter begin, InputIter end, const Vec1 &input, Vec2 &output)
template<class InputIter , class Vec1 , class Vec2 >
static void | _incrementSpecies (InputIter begin, InputIter end, const Vec1 &input, Vec2 &output)
template<class InputIter , class Vec1 , class Vec2 >
static void | _decrementSpecies (InputIter begin, InputIter end, const Vec1 &input, Vec2 &output)
template<class InputIter , class Vec1 , class Vec2 >
static void | _incrementReactions (InputIter begin, InputIter end, const Vec1 &input, Vec2 &output)
template<class InputIter , class Vec1 , class Vec2 >
static void | _decrementReactions (InputIter begin, InputIter end, const Vec1 &input, Vec2 &output)
template<class InputIter , class Indices >
static void | _resizeCoeffs (InputIter begin, InputIter end, Indices &ix)
template<class InputIter , class Vec1 , class Vec2 , class Vec3 >
static void | _derivatives (InputIter begin, InputIter end, const Vec1 &S, const Vec2 &R, Vec3 &jac)
template<class InputIter , class Vec1 , class Vec2 >
static void | _scale (InputIter begin, InputIter end, const Vec1 &in, Vec2 &out, double factor)